## pimcommon 24.12.0

=== debian/changelog ===
pimcommon (4:24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:54:35 +0100

pimcommon (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * New binary package libkpim6pimcommonactivities6.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 11:13:26 +0100
