## pimcommon 24.12.2

=== debian/changelog ===
pimcommon (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:07:36 +0100

pimcommon (4:24.12.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Disable warning about old versions.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Jan 2025 20:28:39 +0100
