=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadicontact-dev (>= 4:24.12.0~),
-               libakonadisearch-dev (>= 4:24.12.0~),
-               libkdepim-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadicontact-dev (>= 4:24.12.2~),
+               libakonadisearch-dev (>= 4:24.12.2~),
+               libkdepim-dev (>= 4:24.12.2~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -26,8 +26,8 @@
                libkf6service-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 24.12.0~),
-               libkldap-dev (>= 24.12.0~),
+               libkimap-dev (>= 24.12.2~),
+               libkldap-dev (>= 24.12.2~),
                libktextaddons-dev (>= 1.5.4~),
                libplasmaactivities-dev (>= 6.1.0~),
                qt6-base-dev (>= 6.7.0~),
@@ -53,13 +53,13 @@
 Package: libpimcommon-dev
 Section: libdevel
 Architecture: any
-Depends: libakonadi-dev (>= 4:24.12.0~),
-         libakonadicontact-dev (>= 4:24.12.0~),
-         libkdepim-dev (>= 4:24.12.0~),
+Depends: libakonadi-dev (>= 4:24.12.2~),
+         libakonadicontact-dev (>= 4:24.12.2~),
+         libkdepim-dev (>= 4:24.12.2~),
          libkf6config-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6kio-dev (>= 6.6.0~),
-         libkimap-dev (>= 24.12.0~),
+         libkimap-dev (>= 24.12.2~),
          libkpim6pimcommon6 (= ${binary:Version}),
          libkpim6pimcommonactivities6 (= ${binary:Version}),
          libkpim6pimcommonakonadi6 (= ${binary:Version}),
