## pimcommon 24.12.3

=== debian/changelog ===
pimcommon (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:32 -0500
