=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: pimcommon
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadicontact-dev (>= 4:24.12.2~),
-               libakonadisearch-dev (>= 4:24.12.2~),
-               libkdepim-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadicontact-dev (>= 4:24.12.3~),
+               libakonadisearch-dev (>= 4:24.12.3~),
+               libkdepim-dev (>= 4:24.12.3~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -26,8 +27,8 @@
                libkf6service-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 24.12.2~),
-               libkldap-dev (>= 24.12.2~),
+               libkimap-dev (>= 24.12.3~),
+               libkldap-dev (>= 24.12.3~),
                libktextaddons-dev (>= 1.5.4~),
                libplasmaactivities-dev (>= 6.1.0~),
                qt6-base-dev (>= 6.7.0~),
@@ -53,13 +54,13 @@
 Package: libpimcommon-dev
 Section: libdevel
 Architecture: any
-Depends: libakonadi-dev (>= 4:24.12.2~),
-         libakonadicontact-dev (>= 4:24.12.2~),
-         libkdepim-dev (>= 4:24.12.2~),
+Depends: libakonadi-dev (>= 4:24.12.3~),
+         libakonadicontact-dev (>= 4:24.12.3~),
+         libkdepim-dev (>= 4:24.12.3~),
          libkf6config-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6kio-dev (>= 6.6.0~),
-         libkimap-dev (>= 24.12.2~),
+         libkimap-dev (>= 24.12.3~),
          libkpim6pimcommon6 (= ${binary:Version}),
          libkpim6pimcommonactivities6 (= ${binary:Version}),
          libkpim6pimcommonakonadi6 (= ${binary:Version}),
