## pimcommon 25.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.3.3")
+set(PIM_VERSION "6.4.2")
 
 project(pimcommon VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.6.0")
+set(KF_MIN_VERSION "6.9.0")
 set(QT_REQUIRED_VERSION "6.7.0")
 set(CMAKE_CXX_STANDARD 20)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -19,7 +19,6 @@
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 
-include(FeatureSummary)
 include(KDEGitCommitHooks)
 include(KDEClangFormat)
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
@@ -38,13 +37,14 @@
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 set(PIMCOMMON_LIB_VERSION ${PIM_VERSION})
-set(LIBKDEPIM_LIB_VERSION "6.3.3")
+set(LIBKDEPIM_LIB_VERSION "6.4.2")
 set(KTEXTADDONS_MIN_VERSION "1.5.4")
-set(KIMAP_LIB_VERSION "6.3.3")
-set(KLDAP_LIB_VERSION "6.3.3")
+set(KIMAP_LIB_VERSION "6.4.2")
+set(KLDAP_LIB_VERSION "6.4.2")
 
-set(AKONADICONTACT_LIB_VERSION "6.3.3")
-set(AKONADI_VERSION "6.3.3")
+set(AKONADICONTACT_LIB_VERSION "6.4.2")
+set(AKONADI_VERSION "6.4.2")
+set(AKONADI_SEARCH_VERSION "6.4.2")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Network Xml)
 
@@ -112,7 +112,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)
+ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.12.0)
 
 find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
